#global prebuilt 1

Name:    qt6-doc
Summary: Qt6 - Complete documentation
Version: 6.7.1
Release: 1%{?dist}
BuildArch: noarch

License: GFDL
Url:     http://qt-project.org/


%if 0%{?prebuilt}
# The tarball for this docs are self generated through provided script on SOURCES generate-qt-doc.sh
Source0: qt-doc-opensource-%{version}.tar.xz
Source1: generate-qt6-doc.sh
%else
Source0: http://download.qt-project.org/official_releases/qt/%(echo %{version}|cut -d. -f1-2)/%{version}/submodules/qtdoc-everywhere-src-%{version}.tar.xz
%endif


# optimize build, skip unecessary steps
%global debug_package   %{nil}
%global __spec_install_post %{nil}

BuildRequires: qt6-rpm-macros
%if !0%{?prebuilt}
BuildRequires:  gcc-toolset-13-gcc-c++
BuildRequires:	cmake
BuildRequires:	ninja-build
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6QmlIntegration)
BuildRequires:	cmake(Qt6QmlModels)
BuildRequires:	cmake(Qt6QmlXmlListModel)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6QuickTemplates2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(xkbcommon) >= 1.3
BuildRequires:	pkgconfig(vulkan)
BuildRequires:	pkgconfig(openssl) >= 3.0
%endif

%description
Documentation for Qt6 API in QCH format
%{summary}.

%package html
Summary: Qt API Documentation in HTML format

%description html
%{summary}.


%package devel
Summary: tags files for crosslinking to Qt QCH files

%description devel
%{summary}.


%prep
%if !0%{?prebuilt}
%autosetup -p1 -n qtdoc-everywhere-src-%{version}
%endif

%build
%if !0%{?prebuilt}
%enable_devtoolset13
%global _rxlibdir /opt/rx/%{_lib}
export PKG_CONFIG_PATH=%{_rxlibdir}/pkgconfig${PKG_CONFIG_PATH:+:${PKG_CONFIG_PATH}}
export LDFLAGS="-L%{_rxlibdir} -Wl,-rpath=%{_rxlibdir} ${LDFLAGS:-%__global_ldflags}"
export LD_LIBRARY_PATH="$(pwd)/%{_vpath_builddir}/lib:${LD_LIBRARY_PATH}"

# FIXME why are OpenGL lib paths autodetected incorrectly, preferring
# /usr/lib over /usr/lib64 even on 64-bit boxes?
%cmake_qt6 \
	-DBUILD_EXAMPLES:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DFEATURE_cxx2a:BOOL=ON \
	-DFEATURE_dynamicgl:BOOL=ON \
	-DFEATURE_ftp:BOOL=ON \
	-DFEATURE_opengl_dynamic:BOOL=ON \
	-DFEATURE_xcb_native_painting:BOOL=ON \
	-DFEATURE_openssl:BOOL=ON \
	-DFEATURE_openssl_linked:BOOL=ON \
	-DFEATURE_system_sqlite:BOOL=ON \
	-DINPUT_sqlite=system \
	-DQT_WILL_INSTALL:BOOL=ON \
	-D_OPENGL_LIB_PATH=%{_libdir} \
	-DOPENGL_egl_LIBRARY=%{_libdir}/libEGL.so \
	-DOPENGL_glu_LIBRARY=%{_libdir}/libGLU.so \
	-DOPENGL_glx_LIBRARY=%{_libdir}/libGLX.so \
	-DOPENGL_opengl_LIBRARY=%{_libdir}/libOpenGL.so

	
%cmake_build
%endif


%install
%if 0%{?prebuilt}
mkdir -p %{buildroot}
tar xf %{SOURCE0} -C %{buildroot}
%else
%cmake_install
%endif


%files
%{_qt6_docdir}/*.qch

%files html
%{_qt6_docdir}/*/*
%exclude %{_qt6_docdir}/*/*.tags

%files devel
%{_qt6_docdir}/*/*.tags

%changelog
* Mon May 27 2024 Raven <raven@sysadmins.ws> - 6.7.1-1
- 6.7.1

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 Marie Loise Nolden <loise@kde.org> - 6.6.1-1
- Initial import based on qt5-doc. Simplify and split into qt6-doc,
  qt6-doc-devel (QCH) and qt6-doc-html (only HTML files)
